package cn.com.poc.data_analyze.entity;	


public class BizDataAnalyzeCollectEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** relation_id
    *关联id
    */ 
    private java.lang.String relationId;

    public java.lang.String getRelationId(){
        return this.relationId;
    }
    
    public void setRelationId(java.lang.String relationId){
        this.relationId = relationId;
    }
	/** type
    *
    */ 
    private java.lang.String type;

    public java.lang.String getType(){
        return this.type;
    }
    
    public void setType(java.lang.String type){
        this.type = type;
    }
	/** channel
    *渠道
    */ 
    private java.lang.String channel;

    public java.lang.String getChannel(){
        return this.channel;
    }
    
    public void setChannel(java.lang.String channel){
        this.channel = channel;
    }
	/** total_points
    *消耗积分数
    */ 
    private java.lang.Long totalPoints;

    public java.lang.Long getTotalPoints(){
        return this.totalPoints;
    }
    
    public void setTotalPoints(java.lang.Long totalPoints){
        this.totalPoints = totalPoints;
    }
	/** usage_count
    *使用量
    */ 
    private java.lang.Long usageCount;

    public java.lang.Long getUsageCount(){
        return this.usageCount;
    }
    
    public void setUsageCount(java.lang.Long usageCount){
        this.usageCount = usageCount;
    }
	/** users_count
    *使用人数
    */ 
    private java.lang.Integer usersCount;

    public java.lang.Integer getUsersCount(){
        return this.usersCount;
    }
    
    public void setUsersCount(java.lang.Integer usersCount){
        this.usersCount = usersCount;
    }
	/** data_date
    *数据日期
    */ 
    private java.util.Date dataDate;

    public java.util.Date getDataDate(){
        return this.dataDate;
    }
    
    public void setDataDate(java.util.Date dataDate){
        this.dataDate = dataDate;
    }
	/** is_deleted
    *是否删除
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}